forked from galaxyproject/galaxy
-
Notifications
You must be signed in to change notification settings - Fork 2
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
- Loading branch information
Showing
7,238 changed files
with
632,156 additions
and
351,737 deletions.
The diff you're trying to view is too large. We only load the first 3000 changed files.
There are no files selected for viewing
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,15 @@ | ||
#!/bin/sh | ||
TEST=$(mktemp) | ||
TEST_EXTRA_CLASSES=$(mktemp) | ||
|
||
pytest --collect-only --ignore=test/functional lib/galaxy_test/ test/ > "$TEST" | ||
pytest -o python_classes='Test* *Test *TestCase' --collect-only --ignore=test/functional lib/galaxy_test/ test/ > "$TEST_EXTRA_CLASSES" | ||
|
||
n_tests=$(grep 'tests collected' "$TEST" | sed -e 's/[^0-9]*\([0-9]*\) tests collected.*/\1/') | ||
n_tests_extra_classes=$(grep 'tests collected' "$TEST_EXTRA_CLASSES" | sed -e 's/[^0-9]*\([0-9]*\) tests collected.*/\1/') | ||
|
||
if [ "$n_tests_extra_classes" -gt "$n_tests" ]; then | ||
echo "New test class with name not starting with Test introduced, change it to have tests collected by pytest" | ||
diff "$TEST" "$TEST_EXTRA_CLASSES" | ||
exit 1 | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,8 @@ | ||
#!/bin/bash | ||
|
||
set -e | ||
|
||
# Setting NODE_PATH and config appropriately, using dependencies from | ||
# client/node_modules, run eslint against args passed to this script. | ||
# Primary use case here is for a pre-commit check. | ||
NODE_PATH=src/ node client/node_modules/eslint/bin/eslint.js -c client/.eslintrc.js "$@" |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -1,16 +1,45 @@ | ||
#!/bin/sh | ||
case "$1" in | ||
galaxy|"") | ||
SCRIPT=./run.sh | ||
PORT=8080 | ||
LOGFILE=galaxy.log | ||
GRAVITY_LOGFILE=database/gravity/log/gunicorn.log | ||
SUPERVISORD_LOGFILE=database/gravity/supervisor/supervisord.log | ||
;; | ||
reports) | ||
SCRIPT=./run_reports.sh | ||
PORT=9001 | ||
LOGFILE=reports_webapp.log | ||
;; | ||
*) | ||
echo "ERROR: Unrecognized app" | ||
exit 1 | ||
;; | ||
esac | ||
TRIES=120 | ||
URL=http://localhost:8080 | ||
URL=http://localhost:$PORT | ||
EXIT_CODE=1 | ||
i=0 | ||
echo "Testing for correct startup:" | ||
bash run.sh --daemon && \ | ||
$SCRIPT --daemon && \ | ||
while [ "$i" -le $TRIES ]; do | ||
curl "$URL" && EXIT_CODE=0 && break | ||
curl --max-time 1 "$URL" && EXIT_CODE=0 && break | ||
sleep 1 | ||
i=$((i + 1)) | ||
done | ||
kill -9 "$(cat galaxy.pid)" | ||
$SCRIPT --skip-wheels --stop-daemon | ||
echo "exit code:$EXIT_CODE, showing startup log:" | ||
cat galaxy.log | ||
if [ -f "$LOGFILE" ]; then | ||
cat "$LOGFILE" | ||
elif [ ! -f "$LOGFILE" -a -f "$GRAVITY_LOGFILE" ]; then | ||
echo "Warning: $LOGFILE does not exist, showing gravity startup log instead" | ||
cat "$GRAVITY_LOGFILE" | ||
elif [ ! -f "$LOGFILE" -a ! -f "$GRAVITY_LOGFILE" -a -f "$SUPERVISORD_LOGFILE" ]; then | ||
echo "Warning: $LOGFILE and $GRAVITY_LOGFILE do not exist, showing supervisord startup log instead" | ||
cat "$SUPERVISORD_LOGFILE" | ||
else | ||
echo "ERROR: No log files found!" | ||
ls -lR database/gravity | ||
fi | ||
exit $EXIT_CODE |
This file was deleted.
Oops, something went wrong.
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,18 @@ | ||
.git | ||
.tox | ||
.venv* | ||
packages/*/.venv | ||
packages/*/build | ||
packages/*/dist | ||
packages/venv | ||
node_modules | ||
database | ||
doc/build | ||
eggs | ||
lib/galaxy/web/proxy/js/node_modules | ||
lib/tool_shed/test/test_data/repos | ||
static/maps | ||
static/scripts | ||
test/functional/tools/cwl_tools/v1.?/ | ||
build | ||
dist |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,3 @@ | ||
hda | ||
implementors | ||
purgable |
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
This file was deleted.
Oops, something went wrong.
Oops, something went wrong.